=== debian/changelog ===
skrooge (25.4.0+p24.04+vstable+git20251001.0451-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 04:51:29 +0000

skrooge (25.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 27 Apr 2025 15:07:09 +0000

skrooge (25.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jan 2025 15:10:50 +0000

skrooge (2.33.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Sep 2024 15:07:30 +0000

skrooge (2.32.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 06 Apr 2024 15:07:06 +0000

skrooge (2.31.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 Oct 2023 15:07:07 +0000

skrooge (2.30.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 02 Jul 2023 15:07:07 +0000

skrooge (2.29.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Feb 2023 15:07:07 +0000
