## skrooge 25.4.0+p24.04+vstable+git20251019.0553

=== CMakeLists.txt ===
--- 
+++ 
@@ -57,6 +57,10 @@
 
 FIND_PACKAGE(Qt6 REQUIRED COMPONENTS Widgets Sql Test PrintSupport Svg Xml Concurrent Qml QuickWidgets Core5Compat)
 
+IF(Qt6Core_VERSION VERSION_GREATER_EQUAL 6.10)
+    FIND_PACKAGE(Qt6 REQUIRED COMPONENTS SqlPrivate)
+ENDIF()
+
 IF(SKG_WEBENGINE)
     FIND_PACKAGE(Qt6 REQUIRED COMPONENTS WebEngineWidgets)
     MESSAGE( STATUS "     Mode WebEngine")
@@ -85,10 +89,8 @@
   I18n                  # Tier 1
   ItemViews             # Tier 1
   WidgetsAddons         # Tier 1
-  WindowSystem          # Tier 1
   GuiAddons             # Tier 1
   Completion            # Tier 2
-  JobWidgets            # Tier 2
   ConfigWidgets         # Tier 3
   IconThemes            # Tier 3
   KIO                   # Tier 3
@@ -118,7 +120,7 @@
                        TYPE REQUIRED)
 
 
-SET(SKG_VERSION "25.X.X")
+SET(SKG_VERSION "25.10.0")
 SET(SKG_BETA "")
 SET(SOVERSION 2)
