=== debian/changelog ===
skrooge (25.4.0+p24.04+vstable+git20251019.0553-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:53:34 +0000
