## skrooge 25.4.0+p24.04+vstable+git20251028.1020

=== debian/changelog ===
skrooge (25.4.0+p24.04+vstable+git20251028.1020-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:20:47 +0000
