=== skgsqlcipher/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 SET(skgsqlcipher_sources skgsqlcipherdriverplugin.cpp q6sql_sqlite.cpp)
 ADD_LIBRARY(libskgsqlcipher MODULE ${skgsqlcipher_sources})
 TARGET_INCLUDE_DIRECTORIES(libskgsqlcipher PRIVATE ${Qt6Sql_PRIVATE_INCLUDE_DIRS} ${SQLCIPHER_INCLUDE_DIRS})
-TARGET_LINK_LIBRARIES(libskgsqlcipher Qt6::Sql ${SQLCIPHER_LIBRARIES})
+TARGET_LINK_LIBRARIES(libskgsqlcipher Qt6::Sql Qt6::SqlPrivate ${SQLCIPHER_LIBRARIES})
 
 GENERATE_EXPORT_HEADER(libskgsqlcipher BASE_NAME skgsqlcipher)
