=== debian/changelog ===
skrooge (25.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Remove an obsolete maintscript entry.
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 6.3.0
    - drop no more needed: libkf6jobwidgets-dev, libkf6windowsystem-dev, and
      qt6-tools-dev
  * Drop no more needed arguments to cmake:
    - -DQT_MAJOR_VERSION=6: as starting from this version skrooge is Qt 6 only
    - -DSKG_WEBKIT=OFF: skrooge does not use QtWebKit anymore

 -- Pino Toscano <pino@debian.org>  Sun, 19 Oct 2025 09:52:27 +0200
