=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

webengine_archs = amd64 arm64 armhf i386

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DSKG_BUILD_TEST=OFF -DSKG_DESIGNER=OFF -DSKG_WEBENGINE=$(if $(filter $(DEB_HOST_ARCH), $(webengine_archs)),ON,OFF)

override_dh_auto_test:

override_dh_python3:
	dh_python3 -p skrooge-common /usr/share/skrooge
