=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://download.kde.org/stable/skrooge/skrooge-([\d\.]+)\.tar\.xz
