## skrooge 25.10.0+p24.04+vstable+git20251222.0540

=== CMakeLists.txt ===
--- 
+++ 
@@ -120,8 +120,8 @@
                        TYPE REQUIRED)
 
 
-SET(SKG_VERSION "25.10.0")
-SET(SKG_BETA "")
+SET(SKG_VERSION "26.x.x")
+SET(SKG_BETA "BETA")
 SET(SOVERSION 2)
 
 IF (CMAKE_BUILD_TYPE)
