## skrooge 25.10.0+p24.04+vstable+git20260105.0846

=== debian/changelog ===
skrooge (25.10.0+p24.04+vstable+git20260105.0846-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:46:34 +0000

skrooge (25.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 10:07:09 +0000
