## skrooge 25.10.0+p24.04+vstable+git20260107.0756

=== debian/changelog ===
skrooge (25.10.0+p24.04+vstable+git20260107.0756-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 07:56:25 +0000
