## skrooge 25.10.0+p24.04+vstable+git20260201.0247

=== CMakeLists.txt ===
--- 
+++ 
@@ -120,7 +120,7 @@
                        TYPE REQUIRED)
 
 
-SET(SKG_VERSION "26.x.x")
+SET(SKG_VERSION "26.XX.XX")
 SET(SKG_BETA "BETA")
 SET(SOVERSION 2)
