=== skgbasegui/CMakeLists.txt ===
--- 
+++ 
@@ -46,10 +46,12 @@
 
 SET(LIBS KF6::Parts KF6::KIOFileWidgets KF6::NotifyConfig KF6::Notifications Qt6::QuickWidgets Qt6::PrintSupport Qt6::Svg Qt6::Core5Compat skgbasemodeler)
 FIND_PACKAGE(KF6 ${KF_MIN_VERSION} COMPONENTS StatusNotifierItem)
-if (StatusNotifierItem_FOUND)
+if (KF6StatusNotifierItem_FOUND)
     message(STATUS "StatusNotifierItem FOUND")
     SET(LIBS ${LIBS} KF6::StatusNotifierItem)
     set(HAS_STATUSNOTIFIER TRUE)
+else()
+    message(STATUS "WARNING: StatusNotifierItem NOT FOUND")
 endif()
 
 IF(SKG_WEBENGINE)
@@ -61,6 +63,8 @@
     message(STATUS "PlasmaActivities FOUND")
     SET(LIBS ${LIBS} Plasma::Activities)
     set(HAS_ACTIVITIES TRUE)
+else()
+    message(STATUS "WARNING: PlasmaActivities NOT FOUND")
 endif()
 
 ki18n_wrap_ui(skgbasegui_SRCS skgmainpanel_base.ui skgmainpanel_pref.ui skggraphicsview.ui skgtablewithgraph.ui skgcolorbutton.ui skgzoomselector.ui skgperiodedit.ui skgfilteredtableview.ui skgwidgetselector.ui )
