=== debian/changelog ===
skrooge (25.10.0+p24.04+vstable+git20260201.0247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 02:47:51 +0000
