## skrooge 26.1.20

=== CMakeLists.txt ===
--- 
+++ 
@@ -120,8 +120,8 @@
                        TYPE REQUIRED)
 
 
-SET(SKG_VERSION "26.XX.XX")
-SET(SKG_BETA "BETA")
+SET(SKG_VERSION "26.1.20")
+SET(SKG_BETA "")
 SET(SOVERSION 2)
 
 IF (CMAKE_BUILD_TYPE)
@@ -255,10 +255,3 @@
 ENDIF()
 
 FEATURE_SUMMARY(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
-INCLUDE(KDEClangFormat)
-FILE(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
-KDE_CLANG_FORMAT(${ALL_CLANG_FORMAT_SOURCE_FILES})
-
-INCLUDE(KDEGitCommitHooks)
-KDE_CONFIGURE_GIT_PRE_COMMIT_HOOK(CHECKS CLANG_FORMAT)
