=== debian/changelog ===
skrooge (26.1.20-1build1) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:16:15 +0000

skrooge (26.1.20-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.
  * Use new Extra team’s mailing list email as the Maintainer.

 -- Pino Toscano <pino@debian.org>  Wed, 21 Jan 2026 22:04:24 +0100
