=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: skrooge
 Section: kde
-Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
@@ -44,7 +44,7 @@
                qt6-webengine-dev [amd64 arm64 armhf i386],
                shared-mime-info,
                xsltproc,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://skrooge.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/skrooge.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/skrooge
